Index: trunk/MagicSoft/Mars/datacenter/scripts/runcallisto
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runcallisto	(revision 9038)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runcallisto	(revision 9040)
@@ -20,5 +20,5 @@
 #   Author(s): Daniela Dorner  08/2004 <mailto:dorner@astro.uni-wuerzburg.de>
 #
-#   Copyright: MAGIC Software Development, 2000-2007
+#   Copyright: MAGIC Software Development, 2000-2008
 #
 #
@@ -67,7 +67,8 @@
 no=`printf %08d $sequence | cut -c 0-4`
 no2=`printf %08d $sequence`
+sequfile="$sequpath/$no/sequence$no2.txt"
+
 outpath="$datapath/$program/$no/$no2"
 makedir $outpath >> $scriptlog 2>&1
-sequfile="$sequpath/$no/sequence$no2.txt"
 
 # define callisto.rc files
@@ -75,4 +76,5 @@
 #callistorcmux=$setuppath/$program/callisto_mux.rc
 callistorcmux=$setuppath/$program/callisto_mux_new.rc
+
 # find callisto.rc file
 if [ -e $outpath/callisto.rc ]
@@ -106,16 +108,17 @@
 # stage the needed files; to be removed as soon as the correct stub file size has been determined
 echo "staging files:" >> $scriptlog 2>&1
-day=`grep Night $sequfile | cut -c 18-27 | sed -e "s/-/\//g"`
-runs=`grep ^Runs $sequfile | cut -d: -f2`
-i=0
 
-for run in ${runs[@]}
-do
-   files[i]=20*_0*${run}_[PCD]_*_E.raw.gz
-   echo ${datapath}/rawfiles/${day}/${files[i]} >> $scriptlog 2>&1
-   let i++
-done
+echo 'root -q -b $macrospath/stage.C\("\"$sequfile\""\) | tee $scriptlog | intgrep' >> $scriptlog 2>&1 
+check0=`root -q -b $macrospath/stage.C\("\"$sequfile\""\) | tee $scriptlog | intgrep`
 
-ssh -nx phoenix "cd ${datapath}/rawfiles/${day}; /opt/SUNWsamfs/bin/stage ${files[@]}"
+case $check0 in
+   0)   echo " check0=$check0 -> everything ok -> files staging..." >> $scriptlog 2>&1 
+        printprocesslog "INFO staging files started for $sequence"
+        ;;
+   *)   echo " check0=$check0 -> an error occured..." >> $scriptlog 2>&1 
+        printprocesslog "ERROR getting sequence $sequence"
+        check="no"
+        ;;
+esac
 
 
@@ -131,97 +134,23 @@
    0)   echo " check1=$check1 -> everything ok -> doing update..." >> $scriptlog 2>&1
         printprocesslog "INFO $program finished successfully for sequence $sequence"
-        # running merpp update if calibration worked
-        # finding files, which have to be updated
-        echo "finding files to be updated..." >> $scriptlog 2>&1
-        calfiles=`find $outpath -name *_Y_* `
-        if [ "$calfiles" = "" ]
-        then 
-           echo " no files found -> continue with next sequence" >> $scriptlog 2>&1
-           printprocesslog "ERROR no calfiles found"
-        fi
-        echo " files to be updated: "$calfiles >> $scriptlog 2>&1
-        
-        merpplogpath=$outpath"/merpplogs"
-        makedir $merpplogpath >> $scriptlog 2>&1
-        
-        printprocesslog "INFO doing merppupdate for sequence $sequence"
+
+        printprocesslog "INFO starting merpp/ccupdate for sequence $sequence"
+
         # updated calibrated data files with the information from the cc and caco files
-        for calfile in ${calfiles[@]}
-        do 
-           echo "calfile: "$calfile >> $scriptlog 2>&1
-           # find cc and caco file
-           # if file is missing continue with next sequence
-           date=`date --date \`basename $calfile | cut -d_ -f1\` +%Y/%m/%d`
-           ccpath=$subsystempath/cc/$date
-           cacopath=$subsystempath/caco/$date
-           runno=`echo $calfile | cut -d_ -f2 | sed -e 's/^0//' | sed -e 's/^0//' | sed -e 's/^0//' `
-           ccfile=`find $ccpath -name 20[0-2][0-9][01][0-9][0-3][0-9]_*${runno}_[PDCS]_*_S.rep`
-           source=`echo $ccfile | cut -d_ -f4`
-           cacofile=`find /magic/subsystemdata/caco/$date -name dc_20[0-2][0-9]_[01][0-9]_[0-3][0-9]_*${runno}_${source}.txt`
-           if [ "$ccfile" = "" ]
-           then
-              echo "no ccfile found for run "$runno >> $scriptlog 2>&1
-              printprocesslog "ERROR  ccfile $ccfile not found for $calfile"
-              com=$Fnoccfile
-              comadd=$runno
-              check=0
-              break
-           fi
-           if [ "$cacofile" = "" ]
-           then 
-              echo "cacofile with no $runno not found" >> $scriptlog 2>&1
-              echo "finding cacofile..." >> $scriptlog 2>&1
-              for (( i = 0; i <= 10; i++ ))
-              do 
-                 newrun=`echo $runno - $i | bc`
-                 cacofile=`find $cacopath -name *$newrun*`
-                 if [ "$cacofile" = "" ]
-                 then
-                    if [ $i -eq 9 ]
-                    then
-                       echo "no cacofile found for runno $newrun in $cacopath" >> $scriptlog 2>&1
-                       printprocesslog "ERROR cacofile $cacofile not found for $calfile"
-                       com=$Fnocacofile
-                       comadd=$runno
-                       check=0
-                       break 2
-                    fi   
-                    continue
-                 else
-                    echo "cacofile: "$cacofile >> $scriptlog 2>&1
-                    break
-                 fi
-              done
-           fi
-           echo "./merpp -u --log=$merpplogpath/merppccupdate$runno.log --html=$merpplogpath/merppccupdate$runno.html --auto-time-stop --runfile=$runno $ccfile $calfile 2>> $scriptlog> /dev/null" >> $scriptlog 2>&1
-           ./merpp -u --log=$merpplogpath/merppccupdate$runno.log --html=$merpplogpath/merppccupdate$runno.html --auto-time-stop --runfile=$runno $ccfile $calfile 2>> $scriptlog> /dev/null
-           check2=$?
-           case $check2 in
-              0)   echo " check2=$check2 -> everything ok, merppccupdate worked -> continue" >> $scriptlog 2>&1
-                   printprocesslog "INFO merppupdated $calfile sucessfully with $ccfile"
-                   ;;
-              *)   echo " check2=$check2 -> ERROR -> merppccupdate failed" >> $scriptlog 2>&1
-                   printprocesslog "ERROR merppccupdate with file $ccfile failed for $calfile"
-                   com=$Fmerppcc
-                   comadd=$runno
-                   check=$check2
-                   break ;;
-           esac
-           echo "./merpp -u --log=$merpplogpath/merppcacoupdate$runno.log --html=$merpplogpath/merppcacoupdate$runno.html --auto-time $cacofile $calfile 2>> $scriptlog> /dev/null" >> $scriptlog 2>&1
-           ./merpp -u --log=$merpplogpath/merppcacoupdate$runno.log --html=$merpplogpath/merppcacoupdate$runno.html --auto-time $cacofile $calfile 2>> $scriptlog> /dev/null
-           check3=$?
-           case $check3 in
-              0)   echo " check3=$check3 -> everything ok, merppcacoupdate worked -> continue" >> $scriptlog 2>&1
-                   printprocesslog "INFO merppupdated $calfile sucessfully with $cacofile"
-                   ;;
-              *)   echo " check3=$check3 -> ERROR -> merppcacoupdate failed" >> $scriptlog 2>&1
-                   printprocesslog "ERROR merppcacoupdate with file $cacofile failed for $calfile"
-                   com=$Fmerppcaco
-                   comadd=$runno
-                   check=$check3
-                   break ;;
-           esac
-        done
-	printprocesslog "INFO finished merppupdate successfully for sequence $sequence"
+        echo "./merpp -v3 --log=$outpath/merpp$no2.log --html=$outpath/merpp$no2.html --auto-time-stop $sequfile $outpath 2>> $scriptlog> /dev/null" >> $scriptlog 2>&1
+        ./merpp -v3 --log=$outpath/merpp$no2.log --html=$outpath/merpp$no2.html --auto-time-stop $sequfile $outpath 2>> $scriptlog > /dev/null
+        check2=$?
+
+        case $check2 in
+           0)   echo " check2=$check2 -> everything ok, merpp/ccupdate worked -> continue" >> $scriptlog 2>&1
+                printprocesslog "INFO merpp/ccupdate of sequence $sequence sucessfull"
+                ;;
+           *)   echo " check2=$check2 -> ERROR -> merpp/ccupdate $sequence failed" >> $scriptlog 2>&1
+                printprocesslog "ERROR merpp/ccupdate of sequence $sequence failed"
+                com=$Fmerppcc
+                check=$check2
+#                comadd=$runno
+                ;;
+        esac
         ;;
    *)   echo " check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1