Index: trunk/MagicSoft/Mars/resources/steps.rc
===================================================================
--- trunk/MagicSoft/Mars/resources/steps.rc	(revision 9100)
+++ trunk/MagicSoft/Mars/resources/steps.rc	(revision 9122)
@@ -7,5 +7,4 @@
 #--------------------------------------------------------------------
 
-
 #SequenceBuildStatus.fDate: 
 SequenceBuildStatus.fDate.Default: yes
@@ -14,5 +13,4 @@
 SequenceBuildStatus.fDate.Reset: yes
 
-
 #SequenceBuildStatus.fCCFilled:
 SequenceBuildStatus.fCCFilled.Default: no
@@ -21,5 +19,4 @@
 SequenceBuildStatus.fCCFilled.Reset: yes
 
-
 #SequenceBuildStatus.fExclusionsDone: 
 SequenceBuildStatus.fExclusionsDone.Default: no
@@ -28,5 +25,4 @@
 SequenceBuildStatus.fExclusionsDone.Reset: yes
 
-
 #SequenceBuildStatus.fSequenceEntriesBuilt: 
 SequenceBuildStatus.fSequenceEntriesBuilt.Default: no
@@ -35,7 +31,5 @@
 SequenceBuildStatus.fSequenceEntriesBuilt.Reset: yes
 
-
-#--------------------------------------------------------------------
-
+#--------------------------------------------------------------------
 
 #RunProcessStatus.fRunNumber: 
@@ -45,5 +39,4 @@
 RunProcessStatus.fRunNumber.Reset: yes 
 
-
 #RunProcessStatus.fRawFileAvail: 
 RunProcessStatus.fRawFileAvail.Default: no
@@ -52,5 +45,4 @@
 RunProcessStatus.fRawFileAvail.Reset: yes 
 
-
 #RunProcessStatus.fCCFileAvail: 
 RunProcessStatus.fCCFileAvail.Default: no
@@ -59,5 +51,4 @@
 RunProcessStatus.fCCFileAvail.Reset: yes 
 
-
 #RunProcessStatus.fCaCoFileAvail: 
 RunProcessStatus.fCaCoFileAvail.Default: no
@@ -66,5 +57,4 @@
 RunProcessStatus.fCaCoFileAvail.Reset: yes 
 
-
 #RunProcessStatus.fCaCoFileFound: 
 RunProcessStatus.fCaCoFileFound.Default: no
@@ -73,5 +63,4 @@
 RunProcessStatus.fCaCoFileFound.Reset: yes 
 
-
 #RunProcessStatus.fDataCheckDone: 
 RunProcessStatus.fDataCheckDone.Default: no
@@ -80,5 +69,4 @@
 RunProcessStatus.fDataCheckDone.Reset: yes 
 
-
 #RunProcessStatus.fTimingCorrection: 
 RunProcessStatus.fTimingCorrection.Default: check
@@ -87,5 +75,4 @@
 RunProcessStatus.fTimingCorrection.Reset: yes 
 
-
 #RunProcessStatus.fCompmux:
 RunProcessStatus.fCompmux.Default: check
@@ -94,28 +81,5 @@
 RunProcessStatus.fCompmux.Reset: yes
 
-
-#RunProcessStatus.fMerpp: 
-RunProcessStatus.fMerpp.Default: no
-RunProcessStatus.fMerpp.Needs: RunProcessStatus.fRawFileAvail RunProcessStatus.fTimingCorrection
-RunProcessStatus.fMerpp.Influences: RunProcessStatus.fMerppCCUpdate RunProcessStatus.fMerppCaCoUpdate
-RunProcessStatus.fMerpp.Reset: yes 
-
-
-#RunProcessStatus.fMerppCCUpdate: 
-RunProcessStatus.fMerppCCUpdate.Default: no
-RunProcessStatus.fMerppCCUpdate.Needs: RunProcessStatus.fRawFileAvail RunProcessStatus.fMerpp RunProcessStatus.fTimingCorrection RunProcessStatus.fCCFileAvail
-RunProcessStatus.fMerppCCUpdate.Influences: RunProcessStatus.fMerppCaCoUpdate
-RunProcessStatus.fMerppCCUpdate.Reset: no
-
-
-#RunProcessStatus.fMerppCaCoUpdate: 
-RunProcessStatus.fMerppCaCoUpdate.Default: no 
-RunProcessStatus.fMerppCaCoUpdate.Needs: RunProcessStatus.fRawFileAvail RunProcessStatus.fMerpp RunProcessStatus.fTimingCorrection RunProcessStatus.fCCFileAvail RunProcessStatus.fMerppCCUpdate RunProcessStatus.fCaCoFileFound
-#RunProcessStatus.fMerppCaCoUpdate.Influences: - 
-RunProcessStatus.fMerppCaCoUpdate.Reset: no
-
-
-#--------------------------------------------------------------------
-
+#--------------------------------------------------------------------
 
 #SequenceProcessStatus.fSequenceFirst: 
@@ -125,25 +89,21 @@
 SequenceProcessStatus.fSequenceFirst.Reset: yes
 
-
 #SequenceProcessStatus.fSequenceFileWritten: 
 SequenceProcessStatus.fSequenceFileWritten.Default: check
 SequenceProcessStatus.fSequenceFileWritten.Needs: SequenceProcessStatus.fSequenceFirst
-SequenceProcessStatus.fSequenceFileWritten.Influences: SequenceProcessStatus.fCallisto SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar
+SequenceProcessStatus.fSequenceFileWritten.Influences: SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fCallisto SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar SequenceProcessStatus.fWebCalib SequenceProcessStatus.fWebSignal SequenceProcessStatus.fWebStar
 SequenceProcessStatus.fSequenceFileWritten.Reset: yes 
-
 
 #SequenceProcessStatus.fAllFilesAvail: 
 SequenceProcessStatus.fAllFilesAvail.Default: no
 SequenceProcessStatus.fAllFilesAvail.Needs: SequenceProcessStatus.fSequenceFileWritten
-SequenceProcessStatus.fAllFilesAvail.Influences: SequenceProcessStatus.fCallisto SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar
+SequenceProcessStatus.fAllFilesAvail.Influences: SequenceProcessStatus.fCallisto SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar SequenceProcessStatus.fWebCalib SequenceProcessStatus.fWebSignal SequenceProcessStatus.fWebStar
 SequenceProcessStatus.fAllFilesAvail.Reset: yes
-
 
 #SequenceProcessStatus.fCallisto: 
 SequenceProcessStatus.fCallisto.Default: no
 SequenceProcessStatus.fCallisto.Needs: SequenceProcessStatus.fSequenceFileWritten SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fNotZipping
-SequenceProcessStatus.fCallisto.Influences: SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar
+SequenceProcessStatus.fCallisto.Influences: SequenceProcessStatus.fFillCallisto SequenceProcessStatus.fStar SequenceProcessStatus.fFillStar SequenceProcessStatus.fWebCalib SequenceProcessStatus.fWebSignal SequenceProcessStatus.fWebStar
 SequenceProcessStatus.fCallisto.Reset: yes
-
 
 #SequenceProcessStatus.fFillCallisto: 
@@ -153,11 +113,21 @@
 SequenceProcessStatus.fFillCallisto.Reset: yes
 
+#SequenceProcessStatus.fWebCalib: 
+SequenceProcessStatus.fWebCalib.Default: no
+SequenceProcessStatus.fWebCalib.Needs: SequenceProcessStatus.fSequenceFileWritten SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fCallisto
+#SequenceProcessStatus.fWebCalib.Influences: -
+SequenceProcessStatus.fWebCalib.Reset: yes
+
+#SequenceProcessStatus.fWebSignal: 
+SequenceProcessStatus.fWebSignal.Default: no
+SequenceProcessStatus.fWebSignal.Needs: SequenceProcessStatus.fSequenceFileWritten SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fCallisto
+#SequenceProcessStatus.fWebSignal.Influences: -
+SequenceProcessStatus.fWebSignal.Reset: yes
 
 #SequenceProcessStatus.fStar: 
 SequenceProcessStatus.fStar.Default: no
 SequenceProcessStatus.fStar.Needs: SequenceProcessStatus.fSequenceFileWritten SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fCallisto
-SequenceProcessStatus.fStar.Influences: SequenceProcessStatus.fFillStar
+SequenceProcessStatus.fStar.Influences: SequenceProcessStatus.fFillStar SequenceProcessStatus.fWebStar
 SequenceProcessStatus.fStar.Reset: yes
-
 
 #SequenceProcessStatus.fFillStar: 
@@ -167,42 +137,41 @@
 SequenceProcessStatus.fFillStar.Reset: yes
 
-
-#--------------------------------------------------------------------
-
+#SequenceProcessStatus.fWebStar: 
+SequenceProcessStatus.fWebStar.Default: no
+SequenceProcessStatus.fWebStar.Needs: SequenceProcessStatus.fSequenceFileWritten SequenceProcessStatus.fAllFilesAvail SequenceProcessStatus.fCallisto SequenceProcessStatus.fStar
+#SequenceProcessStatus.fWebStar.Influences: -
+SequenceProcessStatus.fWebStar.Reset: yes
+
+#--------------------------------------------------------------------
 
 #DataSetProcessStatus.fDataSetNumber: 
 DataSetProcessStatus.fDataSetNumber.Default: yes
 #DataSetProcessStatus.fDataSetNumber.Needs: -
-DataSetProcessStatus.fDataSetNumber.Influences: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed  DataSetProcessStatus.fFillGanymed
+DataSetProcessStatus.fDataSetNumber.Influences: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fWebGanymed DataSetProcessStatus.fWebPlotDBGanymed
 DataSetProcessStatus.fDataSetNumber.Reset: yes
-
 
 #DataSetProcessStatus.fDataSetInserted:
 DataSetProcessStatus.fDataSetInserted.Default: no
 DataSetProcessStatus.fDataSetInserted.Needs: DataSetProcessStatus.fDataSetNumber
-DataSetProcessStatus.fDataSetInserted.Influences: DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fFillGanymed
+DataSetProcessStatus.fDataSetInserted.Influences: DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fWebGanymed DataSetProcessStatus.fWebPlotDBGanymed
 DataSetProcessStatus.fDataSetInserted.Reset: yes
-
 
 #DataSetProcessStatus.fDataSetFileWritten:
 DataSetProcessStatus.fDataSetFileWritten.Default: no
 DataSetProcessStatus.fDataSetFileWritten.Needs: DataSetProcessStatus.fDataSetNumber DataSetProcessStatus.fDataSetInserted
-DataSetProcessStatus.fDataSetFileWritten.Influences: DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed  DataSetProcessStatus.fFillGanymed
+DataSetProcessStatus.fDataSetFileWritten.Influences: DataSetProcessStatus.fStarFilesAvail DataSetProcessStatus.fGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fWebGanymed DataSetProcessStatus.fWebPlotDBGanymed
 DataSetProcessStatus.fDataSetFileWritten.Reset: yes
-
 
 #DataSetProcessStatus.fStarFilesAvail: 
 DataSetProcessStatus.fStarFilesAvail.Default: no
 DataSetProcessStatus.fStarFilesAvail.Needs: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten
-DataSetProcessStatus.fStarFilesAvail.Influences: DataSetProcessStatus.fGanymed  DataSetProcessStatus.fFillGanymed
+DataSetProcessStatus.fStarFilesAvail.Influences: DataSetProcessStatus.fGanymed DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fWebGanymed DataSetProcessStatus.fWebPlotDBGanymed
 DataSetProcessStatus.fStarFilesAvail.Reset: yes
-
 
 #DataSetProcessStatus.fGanymed: 
 DataSetProcessStatus.fGanymed.Default: no
 DataSetProcessStatus.fGanymed.Needs: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail 
-DataSetProcessStatus.fGanymed.Influences: DataSetProcessStatus.fFillGanymed
+DataSetProcessStatus.fGanymed.Influences: DataSetProcessStatus.fFillGanymed DataSetProcessStatus.fWebGanymed DataSetProcessStatus.fWebPlotDBGanymed
 DataSetProcessStatus.fGanymed.Reset: yes
-
 
 #DataSetProcessStatus.fFillGanymed: 
@@ -212,7 +181,17 @@
 DataSetProcessStatus.fFillGanymed.Reset: yes
 
-
-#--------------------------------------------------------------------
-
+#DataSetProcessStatus.fWebGanymed: 
+DataSetProcessStatus.fWebGanymed.Default: no
+DataSetProcessStatus.fWebGanymed.Needs: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail  DataSetProcessStatus.fGanymed 
+#DataSetProcessStatus.fWebGanymed.Influences: 
+DataSetProcessStatus.fWebGanymed.Reset: yes
+
+#DataSetProcessStatus.fWebPlotDBGanymed: 
+DataSetProcessStatus.fWebPlotDBGanymed.Default: no
+DataSetProcessStatus.fWebPlotDBGanymed.Needs: DataSetProcessStatus.fDataSetInserted DataSetProcessStatus.fDataSetFileWritten DataSetProcessStatus.fStarFilesAvail  DataSetProcessStatus.fGanymed 
+#DataSetProcessStatus.fWebPlotDBGanymed.Influences: 
+DataSetProcessStatus.fWebPlotDBGanymed.Reset: yes
+
+#--------------------------------------------------------------------
 
 #MCRunProcessStatus.fMCRunNumber: 
@@ -222,5 +201,4 @@
 MCRunProcessStatus.fMCRunNumber.Reset: yes
 
-
 #MCRunProcessStatus.fCameraInputCreated: 
 MCRunProcessStatus.fCameraInputCreated.Default: no
@@ -229,5 +207,4 @@
 MCRunProcessStatus.fCameraInputCreated.Reset: yes 
 
-
 #MCRunProcessStatus.fReflectorInputCreated: 
 MCRunProcessStatus.fReflectorInputCreated.Default: no
@@ -236,5 +213,4 @@
 MCRunProcessStatus.fReflectorInputCreated.Reset: yes 
 
-
 #MCRunProcessStatus.fCorsikaInputCreated: 
 MCRunProcessStatus.fCorsikaInputCreated.Default: no
@@ -243,5 +219,4 @@
 MCRunProcessStatus.fCorsikaInputCreated.Reset: yes 
 
-
 #MCRunProcessStatus.fCorsikaFileAvail: 
 MCRunProcessStatus.fCorsikaFileAvail.Default: no
@@ -250,5 +225,4 @@
 MCRunProcessStatus.fCorsikaFileAvail.Reset: yes 
 
-
 #MCRunProcessStatus.fReflectorFileAvail: 
 MCRunProcessStatus.fReflectorFileAvail.Default: no
@@ -257,5 +231,4 @@
 MCRunProcessStatus.fReflectorFileAvail.Reset: yes 
 
-
 #MCRunProcessStatus.fCameraFileAvail: 
 MCRunProcessStatus.fCameraFileAvail.Default: no
@@ -264,3 +237,2 @@
 MCRunProcessStatus.fCameraFileAvail.Reset: yes 
 
-