Index: trunk/MagicSoft/Mars/mimage/MHHillas.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillas.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillas.cc	(revision 9153)
@@ -246,10 +246,10 @@
 // Be careful: Only call this with an object of type MHillas
 //
-Bool_t MHHillas::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHHillas::Fill(const MParContainer *par, const Stat_t w)
 {
     if (!par)
     {
         *fLog << err << "MHHillas::Fill: Pointer (!=NULL) expected." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHHillas.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillas.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillas.h	(revision 9153)
@@ -39,5 +39,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TH1 *GetHistByName(const TString name) const;
Index: trunk/MagicSoft/Mars/mimage/MHHillasExt.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillasExt.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillasExt.cc	(revision 9153)
@@ -178,5 +178,5 @@
 // Be careful: Only call this with an object of type MHillas
 //
-Bool_t MHHillasExt::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHHillasExt::Fill(const MParContainer *par, const Stat_t w)
 {
     const MHillasSrc *src = (MHillasSrc*)par;
Index: trunk/MagicSoft/Mars/mimage/MHHillasExt.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillasExt.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillasExt.h	(revision 9153)
@@ -37,5 +37,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TH1 *GetHistByName(const TString name) const;
Index: trunk/MagicSoft/Mars/mimage/MHHillasSrc.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillasSrc.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillasSrc.cc	(revision 9153)
@@ -145,10 +145,10 @@
 // Be careful: Only call this with an object of type MHillas
 //
-Bool_t MHHillasSrc::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHHillasSrc::Fill(const MParContainer *par, const Stat_t w)
 {
     if (!par)
     {
         *fLog << err << "MHHillasSrc::Fill: Pointer (!=NULL) expected." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHHillasSrc.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHHillasSrc.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHHillasSrc.h	(revision 9153)
@@ -30,5 +30,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TH1 *GetHistByName(const TString name) const;
Index: trunk/MagicSoft/Mars/mimage/MHImagePar.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHImagePar.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHImagePar.cc	(revision 9153)
@@ -163,10 +163,10 @@
 // Fill the histograms with data from a MNewImagePar container.
 //
-Bool_t MHImagePar::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHImagePar::Fill(const MParContainer *par, const Stat_t w)
 {
     if (!par)
     {
         *fLog << err << "MImagePar::Fill: Pointer (!=NULL) expected." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHImagePar.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHImagePar.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHImagePar.h	(revision 9153)
@@ -31,5 +31,5 @@
 
     Bool_t SetupFill(const MParList *plist);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TH1 *GetHistByName(const TString name) const;
Index: trunk/MagicSoft/Mars/mimage/MHNewImagePar.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHNewImagePar.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHNewImagePar.cc	(revision 9153)
@@ -224,10 +224,10 @@
 // Fill the histograms with data from a MNewImagePar container.
 //
-Bool_t MHNewImagePar::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHNewImagePar::Fill(const MParContainer *par, const Stat_t w)
 {
     if (!par)
     {
         *fLog << err << "MHNewImagePar::Fill: Pointer (!=NULL) expected." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHNewImagePar.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHNewImagePar.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHNewImagePar.h	(revision 9153)
@@ -35,5 +35,5 @@
 
     Bool_t SetupFill(const MParList *plist);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     TH1 *GetHistByName(const TString name) const;
Index: trunk/MagicSoft/Mars/mimage/MHNewImagePar2.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHNewImagePar2.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHNewImagePar2.cc	(revision 9153)
@@ -118,5 +118,5 @@
 // Fill the histograms with data from a MNewImagePar2 container.
 //
-Bool_t MHNewImagePar2::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHNewImagePar2::Fill(const MParContainer *par, const Stat_t w)
 {
     const MNewImagePar2 *h = dynamic_cast<const MNewImagePar2*>(par);
@@ -124,5 +124,5 @@
     {
         *fLog << err << "MHNewImagePar2::Fill: Pointer (!=NULL) expected." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHNewImagePar2.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHNewImagePar2.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHNewImagePar2.h	(revision 9153)
@@ -24,5 +24,5 @@
 
     Bool_t SetupFill(const MParList *plist);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     void SetMmScale(Bool_t mmscale=kTRUE);
Index: trunk/MagicSoft/Mars/mimage/MHVsSize.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHVsSize.cc	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHVsSize.cc	(revision 9153)
@@ -240,5 +240,5 @@
 // Be careful: Only call this with an object of type MHillas
 //
-Bool_t MHVsSize::Fill(const MParContainer *par, const Stat_t w)
+Int_t MHVsSize::Fill(const MParContainer *par, const Stat_t w)
 {
     const MHillasSrc *src = dynamic_cast<const MHillasSrc*>(par);
@@ -246,5 +246,5 @@
     {
         *fLog << err << "MHVsSize::Fill: Wrong argument... abort." << endl;
-        return kFALSE;
+        return kERROR;
     }
 
Index: trunk/MagicSoft/Mars/mimage/MHVsSize.h
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHVsSize.h	(revision 8996)
+++ trunk/MagicSoft/Mars/mimage/MHVsSize.h	(revision 9153)
@@ -40,5 +40,5 @@
 
     Bool_t SetupFill(const MParList *pList);
-    Bool_t Fill(const MParContainer *par, const Stat_t w=1);
+    Int_t  Fill(const MParContainer *par, const Stat_t w=1);
 
     void Draw(Option_t *opt=NULL);