Index: trunk/Documents/DrivePaper/figure9.eps
===================================================================
--- trunk/Documents/DrivePaper/figure9.eps	(revision 9109)
+++ trunk/Documents/DrivePaper/figure9.eps	(revision 9188)
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%BoundingBox:  0 0 567 384
-%%Title: residuals.eps: c1_n8
+%%Title: ../figure9.eps: c1
 %%Creator: ROOT Version 5.12/00f
-%%CreationDate: Tue Oct  9 15:09:12 2007
+%%CreationDate: Tue Oct 21 17:37:00 2008
 %%EndComments
 %%BeginProlog
@@ -79,55 +79,60 @@
 %%BeginSetup
 %%EndSetup
-newpath  gsave  .25 .25 scale  gsave  0 0 t black[  ] 0 sd 3 lw 1 1 1 c 2268 1538 0 0 bf black 1 1 1 c 2076 1369 169 156 bf black 2076 1369 169 156 bl 1 1 1 c 2076 1369 169 156 bf black 2076 1369 169 156 bl 169 156 m 2076 X s[ 4 8] 0 sd 169 1525 m
- -1369 Y s 445 1525 m -1369 Y s 721 1525 m -1369 Y s 997 1525 m -1369 Y s 1273 1525 m -1369 Y s 1550 1525 m -1369 Y s 1826 1525 m -1369 Y s 2102 1525 m -1369 Y s 2102 1525 m -1369 Y s[  ] 0 sd 169 156 m 1369 Y s[ 4 8] 0 sd 2245 156 m -2076 X s 2245
- 385 m -2076 X s 2245 614 m -2076 X s 2245 843 m -2076 X s 2245 1072 m -2076 X s 2245 1301 m -2076 X s 2245 1301 m -2076 X s 1 0 0 c[  ] 0 sd 6 lw 1 1 1 c 0 0 1 c 1 0 0 c 169 156 m 300 X 12 Y 21 X -12 Y 43 X 23 Y 22 X -11 Y 21 X 11 Y 21 X -23 Y 22 X
- 23 Y 43 X 23 Y 21 X -34 Y 21 X 46 Y 22 X 11 Y 21 X 137 Y 22 X -80 Y 21 X -11 Y 21 X 91 Y 22 X -34 Y 43 X 80 Y 21 X -69 Y 21 X 46 Y 22 X 69 Y 21 X -92 Y 22 X 69 Y 21 X -11 Y 21 X 183 Y 22 X -58 Y 21 X 35 Y 21 X 91 Y 22 X 69 Y 21 X 11 Y 22 X -45 Y 21
- X -161 Y 21 X 229 Y 22 X -160 Y 21 X -34 Y 22 X 148 Y 21 X -171 Y 21 X 69 Y 22 X -69 Y 21 X 23 Y 22 X -183 Y 21 X 80 Y 21 X -92 Y 22 X -57 Y 21 X -57 Y 22 X -12 Y 42 X -34 Y 22 X 34 Y 21 X 12 Y 22 X -46 Y 21 X 11 Y 21 X -11 Y 22 X -11 Y 21 X -12 Y
- 22 X 34 Y 21 X -68 Y 21 X 46 Y 22 X -23 Y 21 X -12 Y 22 X -11 Y 21 X 11 Y 21 X 35 Y 22 X -58 Y 21 X 58 Y 22 X -46 Y 21 X 23 Y 21 X -35 Y 22 X 12 Y 21 X -12 Y 22 X 23 Y 21 X -11 Y 43 X 46 Y 21 X -23 Y 22 X -35 Y 42 X 23 Y 22 X -11 Y 43 X -12 Y 21 X
- s black 3 lw 169 156 m 2076 X s
- gsave  1342 23
- t 0 r 0 0 m /Symbol findfont 58.6478 sf 0 0 m (°) show  gr 
- gsave  1046 23
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (Residual /\040) show  gr  169 199 m -43 Y s 238 178 m -22 Y s 307 178 m -22 Y s 376 178 m -22 Y s 445 199 m -43 Y s 514 178 m -22 Y s 583 178 m -22 Y s 652 178 m -22 Y s 721 199 m -43 Y s 790
- 178 m -22 Y s 859 178 m -22 Y s 928 178 m -22 Y s 997 199 m -43 Y s 1066 178 m -22 Y s 1135 178 m -22 Y s 1204 178 m -22 Y s 1273 199 m -43 Y s 1343 178 m -22 Y s 1412 178 m -22 Y s 1481 178 m -22 Y s 1550 199 m -43 Y s 1619 178 m -22 Y s 1688 178
- m -22 Y s 1757 178 m -22 Y s 1826 199 m -43 Y s 1895 178 m -22 Y s 1964 178 m -22 Y s 2033 178 m -22 Y s 2102 199 m -43 Y s 2102 199 m -43 Y s 2171 178 m -22 Y s 2240 178 m -22 Y s
- gsave  153 101
+newpath  gsave  .25 .25 scale  gsave  0 0 t black[  ] 0 sd 3 lw 1 1 1 c 2268 1538 0 0 bf black 1 1 1 c 2075 1368 170 154 bf black 2075 1368 170 154 bl 1 1 1 c 2075 1368 170 154 bf black 2075 1368 170 154 bl 170 154 m 2075 X s[ 4 8] 0 sd 170 1522 m
+ -1368 Y s 379 1522 m -1368 Y s 587 1522 m -1368 Y s 795 1522 m -1368 Y s 1004 1522 m -1368 Y s 1212 1522 m -1368 Y s 1421 1522 m -1368 Y s 1629 1522 m -1368 Y s 1838 1522 m -1368 Y s 2046 1522 m -1368 Y s 2046 1522 m -1368 Y s[  ] 0 sd 170 154 m
+ 1368 Y s[ 4 8] 0 sd 2245 154 m -2075 X s 2245 383 m -2075 X s 2245 612 m -2075 X s 2245 840 m -2075 X s 2245 1069 m -2075 X s 2245 1298 m -2075 X s 2245 1298 m -2075 X s 1 0 0 c[  ] 0 sd 6 lw 1 1 1 c 0 0 1 c 1 0 0 c 170 154 m 272 X 11 Y 19 X -11 Y
+ 39 X 23 Y 19 X -12 Y 20 X 12 Y 19 X -23 Y 19 X 23 Y 39 X 23 Y 19 X -35 Y 20 X 46 Y 19 X 11 Y 20 X 138 Y 19 X -80 Y 19 X -12 Y 20 X 92 Y 19 X -35 Y 39 X 81 Y 19 X -69 Y 20 X 46 Y 19 X 68 Y 20 X -91 Y 19 X 68 Y 19 X -11 Y 20 X 183 Y 19 X -57 Y 20 X
+ 34 Y 19 X 92 Y 19 X 68 Y 20 X 12 Y 19 X -46 Y 20 X -160 Y 19 X 229 Y 19 X -160 Y 20 X -35 Y 19 X 149 Y 19 X -172 Y 20 X 69 Y 19 X -69 Y 20 X 23 Y 19 X -183 Y 19 X 80 Y 20 X -91 Y 19 X -58 Y 20 X -57 Y 19 X -11 Y 39 X -35 Y 19 X 35 Y 20 X 11 Y 19 X
+ -46 Y 19 X 12 Y 20 X -12 Y 19 X -11 Y 20 X -11 Y 19 X 34 Y 19 X -69 Y 20 X 46 Y 19 X -23 Y 19 X -11 Y 20 X -12 Y 19 X 12 Y 20 X 34 Y 19 X -57 Y 19 X 57 Y 20 X -46 Y 19 X 23 Y 20 X -34 Y 19 X 11 Y 19 X -11 Y 20 X 23 Y 19 X -12 Y 39 X 46 Y 19 X -23 Y
+ 20 X -34 Y 39 X 23 Y 19 X -12 Y 39 X -11 Y 58 X 11 Y 19 X -11 Y 20 X 11 Y 19 X -11 Y 19 X 11 Y 20 X -11 Y 58 X s black 3 lw 170 154 m 2075 X s
+ gsave  964 10
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (Residual / arcmin) show  gr  170 196 m -42 Y s 212 175 m -21 Y s 253 175 m -21 Y s 295 175 m -21 Y s 337 175 m -21 Y s 379 196 m -42 Y s 420 175 m -21 Y s 462 175 m -21 Y s 504 175 m -21 Y s
+ 545 175 m -21 Y s 587 196 m -42 Y s 629 175 m -21 Y s 670 175 m -21 Y s 712 175 m -21 Y s 754 175 m -21 Y s 795 196 m -42 Y s 837 175 m -21 Y s 879 175 m -21 Y s 921 175 m -21 Y s 962 175 m -21 Y s 1004 196 m -42 Y s 1046 175 m -21 Y s 1087 175 m
+ -21 Y s 1129 175 m -21 Y s 1171 175 m -21 Y s 1212 196 m -42 Y s 1254 175 m -21 Y s 1296 175 m -21 Y s 1337 175 m -21 Y s 1379 175 m -21 Y s 1421 196 m -42 Y s 1463 175 m -21 Y s 1504 175 m -21 Y s 1546 175 m -21 Y s 1588 175 m -21 Y s 1629 196 m
+ -42 Y s 1671 175 m -21 Y s 1713 175 m -21 Y s 1754 175 m -21 Y s 1796 175 m -21 Y s 1838 196 m -42 Y s 1879 175 m -21 Y s 1921 175 m -21 Y s 1963 175 m -21 Y s 2005 175 m -21 Y s 2046 196 m -42 Y s 2046 196 m -42 Y s 2088 175 m -21 Y s 2130 175 m
+ -21 Y s 2171 175 m -21 Y s 2213 175 m -21 Y s
+ gsave  153 98
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0) show  gr 
- gsave  384 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.02) show  gr 
- gsave  661 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.04) show  gr 
- gsave  938 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.06) show  gr 
- gsave  1212 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.08) show  gr 
- gsave  1509 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.1) show  gr 
- gsave  1766 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.12) show  gr 
- gsave  2043 101
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0.14) show  gr  169 156 m 1369 Y s
+ gsave  365 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (1) show  gr 
+ gsave  570 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (2) show  gr 
+ gsave  779 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (3) show  gr 
+ gsave  987 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (4) show  gr 
+ gsave  1196 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (5) show  gr 
+ gsave  1404 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (6) show  gr 
+ gsave  1613 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (7) show  gr 
+ gsave  1821 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (8) show  gr 
+ gsave  2030 98
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (9) show  gr  170 154 m 1368 Y s
  gsave  49 740
- t 90 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (Counts) show  gr  230 156 m -61 X s 200 214 m -31 X s 200 271 m -31 X s 200 328 m -31 X s 230 385 m -61 X s 200 442 m -31 X s 200 500 m -31 X s 200 557 m -31 X s 230 614 m -61 X s 200 671 m
- -31 X s 200 728 m -31 X s 200 786 m -31 X s 230 843 m -61 X s 200 900 m -31 X s 200 957 m -31 X s 200 1015 m -31 X s 230 1072 m -61 X s 200 1129 m -31 X s 200 1186 m -31 X s 200 1243 m -31 X s 230 1301 m -61 X s 230 1301 m -61 X s 200 1358 m -31 X
- s 200 1415 m -31 X s 200 1472 m -31 X s
+ t 90 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (Counts) show  gr  231 154 m -61 X s 200 211 m -30 X s 200 268 m -30 X s 200 325 m -30 X s 231 383 m -61 X s 200 440 m -30 X s 200 497 m -30 X s 200 554 m -30 X s 231 612 m -61 X s 200 669 m
+ -30 X s 200 726 m -30 X s 200 783 m -30 X s 231 840 m -61 X s 200 898 m -30 X s 200 955 m -30 X s 200 1012 m -30 X s 231 1069 m -61 X s 200 1127 m -30 X s 200 1184 m -30 X s 200 1241 m -30 X s 231 1298 m -61 X s 231 1298 m -61 X s 200 1355 m -30 X
+ s 200 1413 m -30 X s 200 1470 m -30 X s
  gsave  124 130
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (0) show  gr 
- gsave  91 362
+ gsave  91 358
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (20) show  gr 
- gsave  91 590
+ gsave  91 586
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (40) show  gr 
- gsave  91 818
+ gsave  91 815
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (60) show  gr 
  gsave  91 1046
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (80) show  gr 
- gsave  59 1277
- t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (100) show  gr  0 0 1 c[ 80 20] 0 sd 6 lw 473 156 m 1382 Y s 1 0 0 c[  ] 0 sd 1 1 1 c 0 0 1 c 1 0 0 c 169 156 m 300 X 12 Y 21 X -12 Y 43 X 23 Y 22 X -11 Y 21 X 11 Y 21 X -23 Y 22 X 23 Y 43 X 23
- Y 21 X -34 Y 21 X 46 Y 22 X 11 Y 21 X 137 Y 22 X -80 Y 21 X -11 Y 21 X 91 Y 22 X -34 Y 43 X 80 Y 21 X -69 Y 21 X 46 Y 22 X 69 Y 21 X -92 Y 22 X 69 Y 21 X -11 Y 21 X 183 Y 22 X -58 Y 21 X 35 Y 21 X 91 Y 22 X 69 Y 21 X 11 Y 22 X -45 Y 21 X -161 Y 21
- X 229 Y 22 X -160 Y 21 X -34 Y 22 X 148 Y 21 X -171 Y 21 X 69 Y 22 X -69 Y 21 X 23 Y 22 X -183 Y 21 X 80 Y 21 X -92 Y 22 X -57 Y 21 X -57 Y 22 X -12 Y 42 X -34 Y 22 X 34 Y 21 X 12 Y 22 X -46 Y 21 X 11 Y 21 X -11 Y 22 X -11 Y 21 X -12 Y 22 X 34 Y 21
- X -68 Y 21 X 46 Y 22 X -23 Y 21 X -12 Y 22 X -11 Y 21 X 11 Y 21 X 35 Y 22 X -58 Y 21 X 58 Y 22 X -46 Y 21 X 23 Y 21 X -35 Y 22 X 12 Y 21 X -12 Y 22 X 23 Y 21 X -11 Y 43 X 46 Y 21 X -23 Y 22 X -35 Y 42 X 23 Y 22 X -11 Y 43 X -12 Y 21 X s black 1 1 1
- c black 169 317 m 22 X 263 Y 21 X 389 Y 22 X 103 Y 21 X 137 Y 21 X 206 Y 22 X 57 Y 21 X -377 Y 22 X 160 Y 21 X -309 Y 43 X -195 Y 21 X -160 Y 22 X -57 Y 21 X -80 Y 21 X 46 Y 22 X -69 Y 21 X -160 Y 22 X 23 Y 21 X 57 Y 21 X -80 Y 22 X -23 Y 21 X -23
- Y 22 X -23 Y 21 X -23 Y 21 X 57 Y 22 X -45 Y 21 X -23 Y 22 X 23 Y 21 X -35 Y 21 X 12 Y 43 X 11 Y 22 X -23 Y 21 X 12 Y 21 X 23 Y 43 X 11 Y 22 X -11 Y 42 X -23 Y 22 X -12 Y 21 X 23 Y 43 X -11 Y 85 X 11 Y 22 X -11 Y 21 X -12 Y 129 X 12 Y 42 X -12 Y 22
- X 12 Y 21 X -12 Y 64 X 12 Y 22 X -12 Y 150 X 12 Y 21 X -12 Y 21 X 23 Y 22 X -23 Y 214 X 12 Y 21 X -12 Y 257 X s 3 lw 0.95 0.95 0.95 c 884 244 1361 1292 bf black 1380 1292 m -13 Y 878 X 238 Y -13 X -225 Y f 1361 1292 m 244 Y 884 X -244 Y -884 X cl s
+ gsave  59 1274
+ t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (100) show  gr  0 0 1 c[ 80 20] 0 sd 6 lw 445 154 m 1382 Y s 1 0 0 c[  ] 0 sd 1 1 1 c 0 0 1 c 1 0 0 c 170 154 m 272 X 11 Y 19 X -11 Y 39 X 23 Y 19 X -12 Y 20 X 12 Y 19 X -23 Y 19 X 23 Y 39 X 23
+ Y 19 X -35 Y 20 X 46 Y 19 X 11 Y 20 X 138 Y 19 X -80 Y 19 X -12 Y 20 X 92 Y 19 X -35 Y 39 X 81 Y 19 X -69 Y 20 X 46 Y 19 X 68 Y 20 X -91 Y 19 X 68 Y 19 X -11 Y 20 X 183 Y 19 X -57 Y 20 X 34 Y 19 X 92 Y 19 X 68 Y 20 X 12 Y 19 X -46 Y 20 X -160 Y 19
+ X 229 Y 19 X -160 Y 20 X -35 Y 19 X 149 Y 19 X -172 Y 20 X 69 Y 19 X -69 Y 20 X 23 Y 19 X -183 Y 19 X 80 Y 20 X -91 Y 19 X -58 Y 20 X -57 Y 19 X -11 Y 39 X -35 Y 19 X 35 Y 20 X 11 Y 19 X -46 Y 19 X 12 Y 20 X -12 Y 19 X -11 Y 20 X -11 Y 19 X 34 Y 19
+ X -69 Y 20 X 46 Y 19 X -23 Y 19 X -11 Y 20 X -12 Y 19 X 12 Y 20 X 34 Y 19 X -57 Y 19 X 57 Y 20 X -46 Y 19 X 23 Y 20 X -34 Y 19 X 11 Y 19 X -11 Y 20 X 23 Y 19 X -12 Y 39 X 46 Y 19 X -23 Y 20 X -34 Y 39 X 23 Y 19 X -12 Y 39 X -11 Y 58 X 11 Y 19 X -11
+ Y 20 X 11 Y 19 X -11 Y 19 X 11 Y 20 X -11 Y 58 X s black 1 1 1 c black 170 314 m 19 X 263 Y 20 X 389 Y 19 X 103 Y 20 X 138 Y 19 X 206 Y 19 X 57 Y 20 X -378 Y 19 X 160 Y 20 X -309 Y 38 X -194 Y 20 X -160 Y 19 X -58 Y 20 X -80 Y 19 X 46 Y 19 X -69 Y
+ 20 X -160 Y 19 X 23 Y 20 X 57 Y 19 X -80 Y 19 X -23 Y 20 X -23 Y 19 X -22 Y 19 X -23 Y 20 X 57 Y 19 X -46 Y 20 X -23 Y 19 X 23 Y 19 X -34 Y 20 X 11 Y 39 X 12 Y 19 X -23 Y 19 X 11 Y 20 X 23 Y 39 X 12 Y 19 X -12 Y 39 X -23 Y 19 X -11 Y 20 X 23 Y 38 X
+ -12 Y 78 X 12 Y 19 X -12 Y 20 X -11 Y 116 X 11 Y 39 X -11 Y 19 X 11 Y 20 X -11 Y 58 X 11 Y 19 X -11 Y 136 X 11 Y 19 X -11 Y 20 X 23 Y 19 X -23 Y 194 X 11 Y 19 X -11 Y 427 X s 3 lw 0.95 0.95 0.95 c 884 244 1361 1292 bf black 1380 1292 m -13 Y 878 X
+ 238 Y -13 X -225 Y f 1361 1292 m 244 Y 884 X -244 Y -884 X cl s
  gsave  1381 1479
  t 0 r 0 0 m /Helvetica-Bold findfont 61.9061 sf 0 0 m (Residual \(Entries 1162\)) show  gr 
@@ -136,5 +141,5 @@
  gsave  1580 1307
  t 0 r 0 0 m /Helvetica findfont 61.9061 sf 0 0 m (after correction) show  gr  1394 1333 m 155 X s 0 0 1 c
- gsave  494 1470
+ gsave  464 1468
  t 0 r 0 0 m /Helvetica-Bold findfont 58.6478 sf 0 0 m (shaft-encoder resolution) show  gr 
  gr  gr 